# $Revision: 1.11 $, $Date: 2011/07/15 16:26:31 $
# TODO:
# - examples subpackage
#
%bcond_without	python2
%bcond_without	python3
#
%define		fname	Mako
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python-%{fname}
Version:	0.4.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/M/Mako/%{fname}-%{version}.tar.gz
# Source0-md5:	c69bceb23c832b74075f438408fea118
URL:		http://www.makotemplates.org/
%if %{with python2}
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package -n python3-%{fname}
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Group:		Libraries/Python

%description -n python3-%{fname}
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -n python3-%{fname} -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%prep
%setup -qn %{fname}-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%{__python} setup.py \
	build -b build-2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/mako-render{,-2}

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/mako-render{,-3}

%py3_postclean
%endif

ln -s mako-render-2 $RPM_BUILD_ROOT%{_bindir}/mako-render

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES PKG-INFO README
%attr(755,root,root) %{_bindir}/mako-render
%attr(755,root,root) %{_bindir}/mako-render-2
%{py_sitescriptdir}/mako
%{py_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-%{fname}
%defattr(644,root,root,755)
%doc CHANGES PKG-INFO README
%attr(755,root,root) %{_bindir}/mako-render-3
%{py3_sitescriptdir}/mako
%{py3_sitescriptdir}/%{fname}-%{version}-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Mako.spec,v $
Revision 1.11  2011/07/15 16:26:31  jajcus
- Version: 0.4.1

Revision 1.10  2011/02/02 18:17:29  zbyniu
- up to 0.3.6

Revision 1.9  2010/11/13 00:19:53  pawelz
- release 3

Revision 1.8  2010/07/08 08:21:21  arekm
- release 2

Revision 1.7  2010/05/14 01:06:32  sparky
- BR: python-devel, python3-devel, python3-modules

Revision 1.6  2010/03/27 17:59:03  wiget
- updated to 0.3.2
- build python2 and python3 versions from one spec

Revision 1.5  2010/03/11 17:43:19  wiget
- 0.3.1

Revision 1.4  2009/11/14 12:59:40  wiget
- updated to 0.2.5

Revision 1.3  2009/03/15 15:32:37  duddits
- up to 0.2.4
- %files

Revision 1.2  2008/04/14 19:43:52  qboosh
- pl fix

Revision 1.1  2007-09-14 18:14:36  beorn
- new
